<div class="miam-recipe-catalog">
  <div class="miam-recipe-catalog__filters">
    <!-- <div>
      <div class="miam-recipe-catalog__filters__title" >Type de plat</div>
      <div *ngFor="let type of filters.type" class="miam-recipe-catalog__filters__choice">
        <input type="checkbox" [(ngModel)]="type.value" (ngModelChange)="reloadList()"> {{type.text}}
      </div>
    </div>
    <div class="miam-recipe-catalog__filters__separator"></div> -->

    <div>
      <div class="miam-recipe-catalog__filters__title" >Difficulté</div>
      <div *ngFor="let difficulty of filters.difficulty" class="miam-recipe-catalog__filters__choice">
        <input type="checkbox" [(ngModel)]="difficulty.value" (ngModelChange)="reloadList()"> {{difficulty.text}}
      </div>
    </div>
    <div class="miam-recipe-catalog__filters__separator"></div>
    
    <div>
      <div class="miam-recipe-catalog__filters__title" >Coût</div>
      <div *ngFor="let cost of filters.cost" class="miam-recipe-catalog__filters__choice">
        <input type="checkbox" [(ngModel)]="cost.value" (ngModelChange)="reloadList()"> {{cost.text}}
      </div>
    </div>
    <div class="miam-recipe-catalog__filters__separator"></div>

    <div>
      <div class="miam-recipe-catalog__filters__title">Temps de préparation</div>
      <div *ngFor="let time of filters.time" class="miam-recipe-catalog__filters__choice">
        <input 
          type="checkbox"
          (ngModelChange)="uncheckTimesOnChange($event)"
          [(ngModel)]="time.value"
          (ngModelChange)="reloadList()">
           &#60; {{time.text}}
      </div>
    </div>
    <div class="miam-recipe-catalog__filters__remove">
      <a (click)="resetFilters()">Retirer tous les filtres</a>
    </div>
  </div>
  <div class="miam-recipe-catalog__content">
    <ng-miam-catalog-header (returnToCategories)="switchToCategoriesMode()" (searchStringChanged)="updateSearch($event)"></ng-miam-catalog-header>
    <div *ngIf="isListMode else categories" class="miam-recipe-catalog__list">
      <ng-miam-catalog-list></ng-miam-catalog-list>
    </div>
    <ng-template #categories>
      <div class="miam-recipe-catalog__categories">
        <ng-miam-catalog-category
          title="Entrées"
          [filters]="{recipe_type_id: recipeTypesService.getTypeByName('entrée').id}"
          (displayList)="switchToListMode($event)">
        </ng-miam-catalog-category>
        <ng-miam-catalog-category
          title="Plats"
          [filters]="{recipe_type_id: recipeTypesService.getTypeByName('plat principal').id}"
          (displayList)="switchToListMode($event)">
        </ng-miam-catalog-category>
        <ng-miam-catalog-category
          title="Desserts"
          [filters]="{recipe_type_id: recipeTypesService.getTypeByName('dessert').id}"
          (displayList)="switchToListMode($event)">
        </ng-miam-catalog-category>
      </div>
    </ng-template>
  </div>
</div>
